Skip to main content
Version: 1.5.2

Admin - List all system policies

GET 

/admin/policies/list-all-policies

authorization

This API endpoint requires an API Key with at least one of the following Roles: SystemAdmin | PoliciesManager | ResourceViewer

List all the system policies.

Request

Header Parameters

    AUTHORIZATION stringrequired

    The AUTHORIZATION header must be set to the API Key of the user. The API Key is returned when a new user is created using the /admin/create-user endpoint.

Responses

Schema

  • Array [

  • idPolicyIdrequired
    namestringrequired

    rules

    object[]

    required

  • Array [

  • oneOf

    rule

    object

    required

    endpointurirequired
    idRuleIdrequired
    namestringrequired

    pubkey

    object

    required

    The public key of the external rule server, in PEM format. This key is used to verify the JWT signature of the response.

    jwt_algstringrequired
    pubkeystringrequired
    typestringrequired

    Possible values: [External]

  • ]

  • ]